Upstream information

CVE-2017-8779 at MITRE

Description

rpcbind through 0.2.4, LIBTIRPC through 1.0.1 and 1.0.2-rc through 1.0.2-rc3, and NTIRPC through 1.4.3 do not consider the maximum RPC data size during memory allocation for XDR strings, which allows remote attackers to cause a denial of service (memory consumption with no subsequent free) via a crafted UDP packet to port 111, aka rpcbomb.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.79 7.79
Vector AV:N/AC:L/Au:N/C:N/I:N/A:C AV:N/AC:L/Au:N/C:N/I:N/A:C
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Complete Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High

This issue is currently rated as having moderate severity.

SUSE Bugzilla entries: 1037559 [REOPENED], 1037930 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libtirpc >= 0.2.3-13.3.1
  • libtirpc1 >= 0.2.3-13.3.1
  • libtirpc1-32bit >= 0.2.3-13.3.1
  • rpcbind >= 0.2.1_rc4-17.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-788
SUSE-SLE-DESKTOP-12-SP1-2017-804
SUSE Linux Enterprise Desktop 12 SP2
  • libtirpc >= 1.0.1-16.1
  • libtirpc-netconfig >= 1.0.1-16.1
  • libtirpc3 >= 1.0.1-16.1
  • libtirpc3-32bit >= 1.0.1-16.1
  • rpcbind >= 0.2.3-23.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-796
SUSE-SLE-DESKTOP-12-SP2-2017-803
SUSE Linux Enterprise Point of Sale 11 SP3
  • libtirpc >= 0.2.1-1.12.3
  • libtirpc1 >= 0.2.1-1.12.3
  • rpcbind >= 0.1.6+git20080930-6.27.2
Patchnames:
sleposp3-libtirpc-13135
SUSE Linux Enterprise Server 11 SP3-LTSS
  • libtirpc >= 0.2.1-1.12.3
  • libtirpc1 >= 0.2.1-1.12.3
  • rpcbind >= 0.1.6+git20080930-6.27.2
Patchnames:
slessp3-libtirpc-13135
SUSE Linux Enterprise Server 11 SP4
  • libtirpc >= 0.2.1-1.12.3
  • libtirpc1 >= 0.2.1-1.12.3
  • rpcbind >= 0.1.6+git20080930-6.27.2
Patchnames:
slessp4-libtirpc-13135
SUSE Linux Enterprise Server 12 SP1
  • libtirpc >= 0.2.3-13.3.1
  • libtirpc1 >= 0.2.3-13.3.1
  • libtirpc1-32bit >= 0.2.3-13.3.1
  • rpcbind >= 0.2.1_rc4-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-788
SUSE-SLE-SERVER-12-SP1-2017-804
SUSE Linux Enterprise Server 12 SP2
  • libtirpc >= 1.0.1-16.1
  • libtirpc-netconfig >= 1.0.1-16.1
  • libtirpc3 >= 1.0.1-16.1
  • libtirpc3-32bit >= 1.0.1-16.1
  • rpcbind >= 0.2.3-23.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-796
SUSE-SLE-SERVER-12-SP2-2017-803
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libtirpc >= 1.0.1-16.1
  • libtirpc-netconfig >= 1.0.1-16.1
  • libtirpc3 >= 1.0.1-16.1
  • rpcbind >= 0.2.3-23.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-796
SUSE-SLE-RPI-12-SP2-2017-803
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libtirpc >= 0.2.1-1.12.3
  • libtirpc-devel >= 0.2.1-1.12.3
Patchnames:
sdksp4-libtirpc-13135
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libtirpc >= 0.2.3-13.3.1
  • libtirpc-devel >= 0.2.3-13.3.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-788
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libtirpc >= 1.0.1-16.1
  • libtirpc-devel >= 1.0.1-16.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-796
openSUSE Leap 42.2
  • libtirpc >= 1.0.1-2.3.1
  • libtirpc-debugsource >= 1.0.1-2.3.1
  • libtirpc-devel >= 1.0.1-2.3.1
  • libtirpc-netconfig >= 1.0.1-2.3.1
  • libtirpc3 >= 1.0.1-2.3.1
  • libtirpc3-32bit >= 1.0.1-2.3.1
  • libtirpc3-debuginfo >= 1.0.1-2.3.1
  • libtirpc3-debuginfo-32bit >= 1.0.1-2.3.1
  • rpcbind >= 0.2.3-3.3.1
  • rpcbind-debuginfo >= 0.2.3-3.3.1
  • rpcbind-debugsource >= 0.2.3-3.3.1
Patchnames:
openSUSE-2017-608
openSUSE-2017-615


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • OpenStack Cloud Magnum Orchestration 7.0
  • SUSE Linux Enterprise Desktop 12 SP2
  • SUSE Linux Enterprise SDK 11 SP4
  • SUSE Linux Enterprise SDK 12 SP2
  • SUSE Linux Enterprise Server 11 SP3 LTSS
  • SUSE Linux Enterprise Server 11 SP4
  • SUSE Linux Enterprise Server 12 GA
  • SUSE Linux Enterprise Server 12 SP2
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 11 SP4
  • SUSE Linux Enterprise Server for SAP 12 GA
  • SUSE Linux Enterprise Server for SAP 12 SP1
  • SUSE Linux Enterprise Server for SAP 12 SP2
glibc
  • SUSE Linux Enterprise Server 12 GA
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 12 GA
libtirpc
  • SUSE Linux Enterprise Server 12 GA
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 12 GA
rpcbind
  • OpenStack Cloud Magnum Orchestration 7.0
  • SUSE Linux Enterprise Desktop 12 SP2
  • SUSE Linux Enterprise SDK 11 SP4
  • SUSE Linux Enterprise SDK 12 SP2
  • SUSE Linux Enterprise Server 11 SP3 LTSS
  • SUSE Linux Enterprise Server 11 SP4
  • SUSE Linux Enterprise Server 12 GA
  • SUSE Linux Enterprise Server 12 SP2
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 11 SP4
  • SUSE Linux Enterprise Server for SAP 12 GA
  • SUSE Linux Enterprise Server for SAP 12 SP1
  • SUSE Linux Enterprise Server for SAP 12 SP2
glibc